Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# zutil.h File Reference

`#include "zlib.h"`
`#include <errno.h>`

Include dependency graph for zutil.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | local static
#define | ERR_MSG(err) z_errmsg[Z_NEED_DICT-(err)]
#define | ERR_RETURN(strm, err) return (strm->msg = (char*)ERR_MSG(err), (err))
#define | DEF_WBITS MAX_WBITS
#define | DEF_MEM_LEVEL 8
#define | STORED_BLOCK 0
#define | STATIC_TREES 1
#define | DYN_TREES 2
#define | MIN_MATCH 3
#define | MAX_MATCH 258
#define | PRESET_DICT 0x20
#define | OS_CODE 0x03
#define | F_OPEN(name, mode) fopen((name), (mode))
#define | zstrerror(errnum) ""
#define | Assert(cond, msg)
#define | Trace(x)
#define | Tracev(x)
#define | Tracevv(x)
#define | Tracec(c, x)
#define | Tracecv(c, x)
#define | ZALLOC(strm, items, size) (*((strm)->zalloc))((strm)->opaque, (items), (size))
#define | ZFREE(strm, addr) (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))
#define | TRY_FREE(s, p) {if (p) ZFREE(s, p);}
## Typedefs
typedef unsigned char | uch
typedef uch | uchf
typedef unsigned short | ush
typedef ush | ushf
typedef unsigned long | ulg
typedef uLong(* | check_func )()
## Functions
void | zmemcpy ()
int | zmemcmp ()
void | zmemzero ()
voidpf | zcalloc ()
void | zcfree ()
## Variables
char * | z_errmsg [10]

## Define Documentation

#define Assert | ( | cond,
|  | msg |  | ) |

#define DEF_MEM_LEVEL 8

#define DEF_WBITS MAX_WBITS

#define DYN_TREES 2

#define ERR_MSG | ( | err |  | ) | z_errmsg[Z_NEED_DICT-(err)]

#define ERR_RETURN | ( | strm,
|  | err |  | ) | return (strm->msg = (char*)ERR_MSG(err), (err))

#define F_OPEN | ( | name,
|  | mode |  | ) | fopen((name), (mode))

#define local static

#define MAX_MATCH 258

#define MIN_MATCH 3

#define OS_CODE 0x03

#define PRESET_DICT 0x20

#define STATIC_TREES 1

#define STORED_BLOCK 0

#define Trace | ( | x |  | ) |

#define Tracec | ( | c,
|  | x |  | ) |

#define Tracecv | ( | c,
|  | x |  | ) |

#define Tracev | ( | x |  | ) |

#define Tracevv | ( | x |  | ) |

#define TRY_FREE | ( | s,
|  | p |  | ) | {if (p) ZFREE(s, p);}

#define ZALLOC | ( | strm,
|  | items,
|  | size |  | ) | (*((strm)->zalloc))((strm)->opaque, (items), (size))

#define ZFREE | ( | strm,
|  | addr |  | ) | (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))

#define zstrerror | ( | errnum |  | ) | ""

## Typedef Documentation

typedef uLong( * check_func)()

typedef unsigned char uch

typedef uch uchf

typedef unsigned long ulg

typedef unsigned short ush

typedef ush ushf

## Function Documentation

voidpf zcalloc | ( |  | ) |

void zcfree | ( |  | ) |

int zmemcmp | ( |  | ) |

void zmemcpy | ( |  | ) |

void zmemzero | ( |  | ) |

## Variable Documentation

char* z_errmsg[10]